mod client;
mod types;

#[tokio::main]
async fn main() {
    better_panic::install();
    let client = client::Client::new();

    let dic = client.get_all_dictionary_list("").await.unwrap();

    std::fs::create_dir_all("dics").unwrap();

    let file = std::fs::File::create("./dics/dics.json").unwrap();
    serde_json::to_writer_pretty(file, &dic).unwrap();

    for d in dic {
        let vec = client.get_dictionary_values(d.data_no).await.unwrap();

        let file = std::fs::File::create(format!("./dics/{}.json", d.data_no)).unwrap();

        #[derive(serde::Serialize)]
        struct Dic {
            title: String,
            words: Vec<String>,
        }
        serde_json::to_writer_pretty(
            file,
            &Dic {
                title: d.title,
                words: vec,
            },
        )
        .unwrap();

        println!("saved: {}", d.data_no);
        tokio::time::sleep(std::time::Duration::from_millis(100)).await;
    }

    // println!("{:#?}", dic);
}
