use serde::{Deserialize, Serialize};

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "kebab-case")]
pub enum DictionaryResponse {
    Data(DictionaryResponseData),
}

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "kebab-case")]
pub enum DictionaryResponseData {
    Dics(DictionaryResponseDataDic),
}

#[derive(Debug, Deserialize, Serialize)]
pub struct DictionaryResponseDataDic {
    pub next: Option<u64>,
    #[serde(rename = "$value")]
    pub value: String,
}

#[derive(Debug, Deserialize, Serialize)]
pub struct DictionaryResponseDataDicValueUl {
    // #[serde(rename = "$value")]
    pub li: Vec<DictionaryResponseDataDicValueDic>,
}

#[derive(Debug, Deserialize, Serialize)]
pub struct DictionaryResponseDataDicValueDic {
    #[serde(rename = "data-no")]
    pub data_no: u64,

    #[serde(rename = "data-count")]
    pub data_count: u64,

    #[serde(rename = "$value")]
    pub title: String,
}
